跳转到内容

Overview

  • Version: 2.0.0
  • Servers: https://store.xsolla.com/api
  • Contact Us by Email
  • Contact URL: https://xsolla.com/
  • Required TLS version: 1.2

The Catalog API allows you to configure a catalog of in-game items on the Xsolla side and display the catalog to users in your store.

The API allows you to manage the following catalog entities:

  • Virtual items — in-game items such as weapons, skins, boosters.
  • Virtual currency — virtual money used to purchase virtual goods.
  • Virtual currency packages — predefined bundles of virtual currency.
  • Bundles — combined packages of virtual items, currency, or game keys sold as a single SKU.
  • Game keys — keys for games and DLCs distributed via platforms like Steam or other DRM providers.
  • Groups — logical groupings for organizing and sorting items within the catalog.

API calls

The API is divided into the following groups:

  • Admin — calls for creating, updating, deleting, and configuring catalog items and groups. Authenticated via basic access authentication with your merchant or project credentials. Not intended for storefront use.
  • Catalog — calls for retrieving items and building custom storefronts for end users. Designed to handle high-load scenarios. Support optional user JWT authorization to return personalized data such as user-specific limits and active promotions.

Authentication

API calls require authentication either on behalf of a user or on behalf of a project. The authentication scheme used is specified in the Security section in the description of each call.

Authentication using user's JWT

User's JWT authentication is used when a request is sent from a browser, mobile application, or game. By default, the XsollaLoginUserJWT scheme is applied. For details on how to create a token, see the Xsolla Login API documentation.

The token is passed in the Authorization header in the following format: Authorization: Bearer <user_JWT>, where <user_JWT> is the user token. The token identifies the user and provides access to personalized data. You can try this call using the following test token:

eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJleHAiOjE5NjIyMzQwNDgsImlzcyI6Imh0dHBzOi8vbG9naW4ueHNvbGxhLmNvbSIsImlhdCI6MTU2MjE0NzY0OCwidXNlcm5hbWUiOiJ4c29sbGEiLCJ4c29sbGFfbG9naW5fYWNjZXNzX2tleSI6IjA2SWF2ZHpDeEVHbm5aMTlpLUc5TmMxVWFfTWFZOXhTR3ZEVEY4OFE3RnMiLCJzdWIiOiJkMzQyZGFkMi05ZDU5LTExZTktYTM4NC00MjAxMGFhODAwM2YiLCJlbWFpbCI6InN1cHBvcnRAeHNvbGxhLmNvbSIsInR5cGUiOiJ4c29sbGFfbG9naW4iLCJ4c29sbGFfbG9naW5fcHJvamVjdF9pZCI6ImU2ZGZhYWM2LTc4YTgtMTFlOS05MjQ0LTQyMDEwYWE4MDAwNCIsInB1Ymxpc2hlcl9pZCI6MTU5MjR9.GCrW42OguZbLZTaoixCZgAeNLGH2xCeJHxl8u8Xn2aI

Alternatively, you can use a token for opening the payment UI.

Basic HTTP authentication

Basic HTTP authentication is used for server-to-server interactions, when an API call is sent directly from your server rather than from a user's browser or mobile application. HTTP Basic authentication with an API key is typically used.

Note

The API key is confidential and must not be stored or used in client applications.

With basic server-side authentication, all API requests must include the following header:

  • for basicAuthAuthorization: Basic <your_authorization_basic_key>, where your_authorization_basic_key is the project_id:api_key pair encoded in Base64
  • for basicMerchantAuthAuthorization: Basic <your_authorization_basic_key>, where your_authorization_basic_key is the merchant_id:api_key pair encoded in Base64

You can find the parameter values in Publisher Account:

  • merchant_id is displayed:
    • In Company settings > Company.
    • In the URL in the browser address bar on any Publisher Account page. The URL has the following format: https://publisher.xsolla.com/<merchant_id>.
  • project_id is displayed:
    • Next to the project name in Publisher Account.
    • In the URL in the browser address bar when working on a project in Publisher Account. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.
  • api_key is shown in Publisher Account only at the time of creation and must be stored securely on your side. You can create an API key in the following sections:
Notice

If a required API call doesn't include the project_id path parameter, use an API key that is valid across all company projects for authorization.

For more information about working with API keys, see the API references.

Authentication with guest access support

The AuthForCart authentication scheme is used for cart purchases and supports two modes:

  1. Authentication with a user's JWT. The token is passed in the Authorization header in the following format: Authorization: Bearer <user_JWT>, where <user_JWT> is the user token. The token identifies the user and provides access to personalized data. You can try this call using the following test token:
eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJleHAiOjE5NjIyMzQwNDgsImlzcyI6Imh0dHBzOi8vbG9naW4ueHNvbGxhLmNvbSIsImlhdCI6MTU2MjE0NzY0OCwidXNlcm5hbWUiOiJ4c29sbGEiLCJ4c29sbGFfbG9naW5fYWNjZXNzX2tleSI6IjA2SWF2ZHpDeEVHbm5aMTlpLUc5TmMxVWFfTWFZOXhTR3ZEVEY4OFE3RnMiLCJzdWIiOiJkMzQyZGFkMi05ZDU5LTExZTktYTM4NC00MjAxMGFhODAwM2YiLCJlbWFpbCI6InN1cHBvcnRAeHNvbGxhLmNvbSIsInR5cGUiOiJ4c29sbGFfbG9naW4iLCJ4c29sbGFfbG9naW5fcHJvamVjdF9pZCI6ImU2ZGZhYWM2LTc4YTgtMTFlOS05MjQ0LTQyMDEwYWE4MDAwNCIsInB1Ymxpc2hlcl9pZCI6MTU5MjR9.GCrW42OguZbLZTaoixCZgAeNLGH2xCeJHxl8u8Xn2aI

Alternatively, you can use a token for opening the payment UI.

  1. Simplified mode without Authorization header. This mode is used only for unauthorized users and can be applied only for game key sales. Instead of a token, the request must include the following headers:
    • x-unauthorized-id with a request ID
    • x-user with the user's email address encoded in Base64

Core entity structure

Items of all types (virtual items, bundles, virtual currency, and keys) use a similar data structure. Understanding the basic structure simplifies working with the API and helps you navigate the documentation more easily.

Note

Some calls may include additional fields but they don't change the basic structure.

Identification

  • merchant_id — company ID in Publisher Account
  • project_id — project ID in Publisher Account
  • sku — item SKU, unique within the project

Store display

  • name — item name
  • description — item description
  • image_url — image URL
  • is_enabled — item availability
  • is_show_in_store — whether the item is displayed in the catalog

For more information about managing item availability in the catalog, see the documentation.

Organization

  • type — item type, for example, a virtual item (virtual_item) or bundle (bundle)
  • groups — groups the item belongs to
  • order — display order in the catalog

Sale conditions

  • prices — prices in real or virtual currency
  • limits — purchase limits
  • periods — availability periods
  • regions — regional restrictions

Example of core entity structure:

{
  "attributes": [],
  "bundle_type": "virtual_currency_package",
  "content": [
    {
      "description": {
        "en": "Main in-game currency"
      },
      "image_url": "https://.../image.png",
      "name": {
        "en": "Crystals",
        "de": "Kristalle"
      },
      "quantity": 500,
      "sku": "com.xsolla.crystal_2",
      "type": "virtual_currency"
    }
  ],
  "description": {
    "en": "Crystals x500"
  },
  "groups": [],
  "image_url": "https://.../image.png",
  "is_enabled": true,
  "is_free": false,
  "is_show_in_store": true,
  "limits": {
    "per_item": null,
    "per_user": null,
    "recurrent_schedule": null
  },
  "long_description": null,
  "media_list": [],
  "name": {
    "en": "Medium crystal pack"
  },
  "order": 1,
  "periods": [
    {
      "date_from": null,
      "date_until": "2020-08-11T20:00:00+03:00"
    }
  ],
  "prices": [
    {
      "amount": 20,
      "country_iso": "US",
      "currency": "USD",
      "is_default": true,
      "is_enabled": true
    }
  ],
  "regions": [],
  "sku": "com.xsolla.crystal_pack_2",
  "type": "bundle",
  "vc_prices": []
}

Basic purchase flow

The Xsolla API allows you to implement in-game store logic, including retrieving the item catalog, managing the cart, creating orders, and tracking their status. Depending on the integration scenario, API calls are divided into Admin and Catalog subsections, which use different authentication schemes.

The following example shows a basic flow for setting up and operating a store, from item creation to purchase.

Create items and groups (Admin)

Create an item catalog for your store, such as virtual items, bundles, or virtual currency.

Example API calls:

Set up promotions, chains, and limits (Admin)

Configure user acquisition and monetization tools, such as discounts, bonuses, daily rewards, or offer chains.

Example API calls:

Get item information (Client)

Configure item display in your application.

Notice

Do not use API calls from the Admin subsection to build a user catalog. These API calls have rate limits and aren't intended for user traffic.

Example API calls:

Note

By default, catalog API calls return items that are currently available in the store at the time of the request. To retrieve items that are not yet available or are no longer available, include the parameter "show_inactive_time_limited_items": 1 in the catalog request.

Sell items

You can sell items using the following methods:

  • Fast purchase — sell one SKU multiple times.
  • Cart purchase — the user adds items to the cart, removes items, and updates quantities within a single order.

If an item is purchased using virtual currency instead of real money, use the Create order with specified item purchased by virtual currency API call. The payment UI is not required, as the charge is processed when the API call is executed.

For free item purchase, use the Create order with specified free item API call or the Create order with free cart API call. The payment UI is not required — the order is immediately set to the done status.

Fast purchase

Use the client-side API call to create an order with a specified item. The call returns a token used to open the payment UI.

Note

Discount information is available to the user only in the payment UI. Promo codes are not supported.

Cart purchase

Cart setup and purchase can be performed on the client or on the server side.

Set up and purchase a cart on the client

Implement the logic of adding and removing items by yourself. Before calling the API for setting up a cart, you will not have information about which promotions will be applied to the purchase. This means that the total cost and details of the added bonus items will not be known.

Implement the following cart logic:

  1. After the player has filled a cart, use the Fill cart with items API call. The call returns the current information about the selected items (prices before and after discounts, bonus items).
  2. Update the cart contents based on user actions:
Note

To get the current status of the cart, use the Get current user's cart API call.
  1. Use the Create order with all items from current cart API call. The call returns the order ID and payment token. The newly created order is set to new status by default.

Set up and purchase a cart on the server

This setup option may take longer for setting the cart up, since each change to the cart must be accompanied by API calls.

Implement the following cart logic:

  1. After the player has filled a cart, use the Fill cart with items API call. The call returns current information about the selected items (prices before and after discounts, bonus items).
  2. Use the Create order with all items from current cart API call. The call returns the order ID and payment token. The newly created order is set to new status by default.

Open payment UI

Use the returned token to open the payment UI in a new window. Other ways to open the payment UI are described in the documentation.

ActionEndpoint
Open in production environment.https://secure.xsolla.com/paystation4/?token={token}
Open in sandbox mode.https://sandbox-secure.xsolla.com/paystation4/?token={token}
Note

Use sandbox mode during development and testing. Test purchases don't charge real accounts. You can use test bank cards.

After the first real payment is made, a strict sandbox payment policy takes effect. A payment in sandbox mode is available only to users specified in Publisher Account > Company settings > Users.

Buying virtual currency and items for real currency is possible only after signing a license agreement with Xsolla. To do this, in Publisher Account, go to Agreements & Taxes > Agreements, complete the agreement form, and wait for confirmation. It may take up to 3 business days to review the agreement.

To enable or disable sandbox mode, change the value of the sandbox parameter in the request for fast purchase and cart purchase. Sandbox mode is off by default.

Possible order statuses:

  • new — order created
  • paid — payment received
  • done — item delivered
  • canceled — order canceled
  • expired — payment expired

Track order status using one of the following methods:

Pagination

API calls that return large sets of records (for example, when building a catalog) return data in pages. Pagination is a mechanism that limits the number of items returned in a single API response and allows you to retrieve subsequent pages sequentially.

Use the following parameters to control the number of returned items:

  • limit — number of items per page
  • offset — index of the first item on the page (numbering starts from 0)
  • has_more — indicates whether another page is available
  • total_items_count — total number of items

Example request:

GET /items?limit=20&offset=40

Response example:

{
  "items": [...],
  "has_more": true,
  "total_items_count": 135
}

It is recommended to send subsequent requests until the response returns has_more = false.

Date and time format

Dates and time values are passed in the ISO 8601 format.

The following are supported:

  • UTC offset
  • null value when there is no time restriction for displaying an item
  • Unix timestamp (in seconds) used in some fields

Format: YYYY-MM-DDTHH:MM:SS±HH:MM

Example: 2026-03-16T10:00:00+03:00

Localization

Xsolla supports localization of user-facing fields such as item name and description. Localized values are passed as an object where the language code is used as the key. The full list of supported languages is available in the documentation.

Supported fields

Localization can be specified for the following parameters:

  • name
  • description
  • long_description

Locale format

The locale key can be specified in one of the following formats:

  • Two-letter language code: en, ru
  • Five-letter language code: en-US, ru-RU, de-DE

Examples

Example with a two-letter language code:

{
  "name": {
    "en": "Starter Pack",
    "ru": "Стартовый набор"
  }
}

Example with a five-letter language code:

{
  "description": {
    "en-US": "Premium bundle",
    "de-DE": "Premium-Paket"
  }
}

Error response format

If an error occurs, the API returns an HTTP status and a JSON response body. The full list of store-related errors is available in the documentation.

Response example:

{
  "errorCode": 1102,
  "errorMessage": "Validation error",
  "statusCode": 422,
  "transactionId": "c9e1a..."
}
  • errorCode — error code.
  • errorMessage — short error description.
  • statusCode — HTTP response status.
  • transactionId — request ID. Returned only in some cases.
  • errorMessageExtended — additional error details, such as request parameters. Returned only in some cases.

Extended response example:

{
  "errorCode": 7001,
  "errorMessage": "Chain not found",
  "errorMessageExtended": {
    "chain_id": "test_chain_id",
    "project_id": "test_project_id",
    "step_number": 2
  },
  "statusCode": 404
}

Common HTTP status codes

  • 400 — invalid request
  • 401 — authentication error
  • 403 — insufficient permissions
  • 404 — resource not found
  • 422 — validation error
  • 429 — rate limit exceeded

Recommendations

  • Handle the HTTP status and the response body together.
  • Use errorCode to process errors related to application logic.
  • Use transactionId to identify requests more quickly when analyzing errors.
下载 OpenAPI 描述
语言
服务器
https://store.xsolla.com/api/
Mock server
https://xsolla.redocly.app/_mock/zh/api/catalog/
操作
操作
操作
操作
操作
操作
操作
操作
操作
操作
操作
操作
操作
操作
操作
操作
操作
操作

目录

本API允许获取任意类型的可售商品或指定商品。

操作

获取可售商品列表Client-side

请求

Gets a sellable items list for building a catalog.

Attention

All projects have the limitation to the number of items that you can get in the response. The default and maximum value is 50 items per response. To get more data page by page, use limit and offset fields.

Note

This API call returns generic item catalog data when used without authorization. Use authorization to retrieve personalized user data, such as limits and promotions associated with the item. To do this, pass the user JWT in the Authorization header. For more information about user JWT, see the Security block for this call.
安全
XsollaLoginUserJWT
路径
project_idinteger必需

项目ID。您可以在您的发布商帐户项目名称旁边找到。

示例: 59080
查询
limitinteger>= 1

页面上元素数量的限制。

示例: limit=50
offsetinteger>= 0

元素编号,从该元素开始生成列表(从0开始数)。

示例: offset=0
localestring

Response language. Two-letter lowercase language code per ISO 639-1 (for example, en). Five-character locale codes (for example, en-US) are supported in localization fields such as name and description, but are normalized to two-letter codes in responses. You can find the full list of supported languages in the documentation.

默认值 "en"
additional_fields[]Array of strings

附加字段列表。如果在请求中发送这些字段,则它们将包含在响应中。

枚举"media_list""order""long_description""custom_attributes""item_order_in_group"
countrystring

ISO 3166-1 alpha-2标准下的两个大写字母的国家/地区代码。 请查看文档详细了解艾克索拉支持的国家/地区国家/地区的判断流程

示例: country=US
promo_codestring[ 1 .. 128 ] characters

区分大小写的唯一券码。包含字母和数字。

示例: promo_code=WINTER2021
show_inactive_time_limited_itemsinteger

显示用户不可用的时效性商品。此类商品的有效期尚未开始或已过期。

默认值 0
示例: show_inactive_time_limited_items=1
curl -i -X GET \
  'https://store.xsolla.com/api/v2/project/59080/items?limit=50&offset=0&locale=en&additional_fields%5B%5D=media_list&country=US&promo_code=WINTER2021&show_inactive_time_limited_items=1' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

响应

已成功接收可售商品列表。

正文application/json
has_moreboolean(Pagination_has-more)

用作指示还有更多页面。

itemsArray of objects
示例: [{"attributes":[],"can_be_bought":true,"description":"","groups":[],"image_url":"https://cdn3.xsolla.com/img/misc/images/e2e9ce8b00eb0190c161c4258b899101.png","is_free":false,"item_id":259765,"limits":{"per_user":{"available":3,"limit_exceeded_visibility":"show","recurrent_schedule":{"interval_type":"weekly","reset_next_date":1746057600},"total":5}},"name":"Gold","price":{"amount":"1.00","amount_without_discount":"1.00","currency":"USD"},"sku":"com.xsolla.gold_1","type":"virtual_currency","virtual_prices":[],"vp_rewards":[{"amount":130,"image_url":"https://cdn3.xsolla.com/img/misc/images/54c0cf9d345817cdacfdde198db178e0.jpg","item_id":175232,"name":"Value point","sku":"com.xsolla.value_point_1"},{"amount":50,"image_url":"https://cdn3.xsolla.com/img/misc/images/54c0cf9d345817cdacfdde198db178e0.jpg","is_clan":true,"item_id":186321,"name":"Clan Reward VP 1","sku":"com.xsolla.clan_value_point_1"}]},{"attributes":[],"can_be_bought":true,"description":"","groups":[],"image_url":"https://cdn3.xsolla.com/img/misc/images/015e4f4ea4deb1e2c92d5c21a4d58309.png","is_free":false,"item_id":259766,"limits":null,"name":"Silver","price":{"amount":"0.50","amount_without_discount":"0.50","currency":"USD"},"sku":"com.xsolla.silver_1","type":"virtual_currency","virtual_prices":[],"vp_rewards":[]},{"attributes":[],"can_be_bought":true,"description":"","groups":[],"image_url":"https://cdn3.xsolla.com/img/misc/images/b0beedd5763b612bd3a5631e6cb1d1ff.png","is_free":false,"item_id":259767,"limits":null,"name":"Bronze","price":{"amount":"0.10","amount_without_discount":"0.10","currency":"USD"},"sku":"com.xsolla.bronze_1","type":"virtual_currency","virtual_prices":[],"vp_rewards":[]},{"attributes":[],"bundle_type":"virtual_currency_package","can_be_bought":true,"content":[{"description":null,"image_url":"https://cdn3.xsolla.com/img/misc/images/e2e9ce8b00eb0190c161c4258b899101.png","item_id":259765,"name":"Gold","quantity":10,"sku":"com.xsolla.gold_1","type":"virtual_currency"}],"description":"Chest of gold","groups":[],"image_url":"https://cdn3.xsolla.com/img/misc/images/61b8d0785093017ce1f50ebed55c42a9.png","is_free":false,"item_id":259768,"limits":null,"name":"Chest of gold","price":{"amount":"7.99","amount_without_discount":"7.99","currency":"USD"},"sku":"com.xsolla.gold_chest_1","type":"bundle","virtual_prices":[],"vp_rewards":[]},{"attributes":[],"bundle_type":"virtual_currency_package","can_be_bought":true,"content":[{"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/015e4f4ea4deb1e2c92d5c21a4d58309.png","item_id":259766,"name":"Silver","quantity":50,"sku":"com.xsolla.silver_1","type":"virtual_currency"}],"description":"Chest of silver","groups":[],"image_url":"https://cdn3.xsolla.com/img/misc/images/f0b59a3370404e8881107249051b70bd.png","is_free":false,"item_id":259769,"limits":null,"name":"Chest of silver","price":{"amount":"19.99","amount_without_discount":"19.99","currency":"USD"},"sku":"com.xsolla.silver_chest_1","type":"bundle","virtual_prices":[],"vp_rewards":[]},{"attributes":[],"bundle_type":"virtual_currency_package","can_be_bought":true,"content":[{"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/b0beedd5763b612bd3a5631e6cb1d1ff.png","item_id":259767,"name":"Bronze","quantity":100,"sku":"com.xsolla.bronze_2","type":"virtual_currency"}],"description":"Chest of bronze","groups":[],"image_url":"https://cdn3.xsolla.com/img/misc/images/b32eb5b1f4f0c202ea6ac4e21c2eae18.png","is_free":false,"item_id":259770,"limits":null,"name":"Chest of bronze","price":{"amount":"5.99","amount_without_discount":"5.99","currency":"USD"},"sku":"com.xsolla.bronze_chest_1","type":"bundle","virtual_prices":[],"vp_rewards":[]},{"attributes":[],"can_be_bought":true,"description":"Sword","groups":[{"external_id":"swords","name":"Swords"}],"image_url":"https://cdn3.xsolla.com/img/misc/images/a558727a420cad609556e4449b9ecb12.png","is_free":false,"item_id":259771,"limits":null,"name":"Sword","price":{"amount":"1.99","amount_without_discount":"1.99","currency":"USD"},"sku":"com.xsolla.sword_1","type":"virtual_good","virtual_item_type":"non_consumable","virtual_prices":[{"amount":2,"amount_without_discount":2,"calculated_price":{"amount":"2.00","amount_without_discount":"2.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/e2e9ce8b00eb0190c161c4258b899101.png","is_default":true,"item_id":259765,"name":"Gold","sku":"com.xsolla.gold_2","type":"virtual_currency"},{"amount":5,"amount_without_discount":5,"calculated_price":{"amount":"5.00","amount_without_discount":"5.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/015e4f4ea4deb1e2c92d5c21a4d58309.png","is_default":false,"item_id":259766,"name":"Silver","sku":"com.xsolla.silver_2","type":"virtual_currency"},{"amount":50,"amount_without_discount":50,"calculated_price":{"amount":"50.00","amount_without_discount":"50.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/b0beedd5763b612bd3a5631e6cb1d1ff.png","is_default":false,"item_id":259767,"name":"Bronze","sku":"com.xsolla.bronze_2","type":"virtual_currency"}],"vp_rewards":[]},{"attributes":[],"can_be_bought":true,"description":"Saber","groups":[{"external_id":"swords","name":"Swords"}],"image_url":"https://cdn3.xsolla.com/img/misc/images/edd914d60301d77b94926478d253fcb6.png","is_free":false,"item_id":259772,"limits":null,"name":"Saber","price":{"amount":"3.99","amount_without_discount":"3.99","currency":"USD"},"sku":"com.xsolla.saber_1","type":"virtual_good","virtual_item_type":"non_consumable","virtual_prices":[{"amount":3,"amount_without_discount":3,"calculated_price":{"amount":"3.00","amount_without_discount":"3.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/e2e9ce8b00eb0190c161c4258b899101.png","is_default":true,"item_id":259765,"name":"Gold","sku":"com.xsolla.gold_3","type":"virtual_currency"},{"amount":7,"amount_without_discount":7,"calculated_price":{"amount":"7.00","amount_without_discount":"7.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/015e4f4ea4deb1e2c92d5c21a4d58309.png","is_default":false,"item_id":259766,"name":"Silver","sku":"com.xsolla.silver_3","type":"virtual_currency"},{"amount":70,"amount_without_discount":70,"calculated_price":{"amount":"70.00","amount_without_discount":"70.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/b0beedd5763b612bd3a5631e6cb1d1ff.png","is_default":false,"item_id":259767,"name":"Bronze","sku":"com.xsolla.bronze_3","type":"virtual_currency"}],"vp_rewards":[]},{"attributes":[],"can_be_bought":true,"description":"Bow","groups":[{"external_id":"bows","name":"Bows"}],"image_url":"https://cdn3.xsolla.com/img/misc/images/3bb3b0a5254ad15134c891108898363f.png","is_free":false,"item_id":259773,"limits":null,"name":"Bow","price":{"amount":"4.99","amount_without_discount":"4.99","currency":"USD"},"sku":"com.xsolla.bow_1","type":"virtual_good","virtual_item_type":"non_consumable","virtual_prices":[{"amount":5,"amount_without_discount":5,"calculated_price":{"amount":"5.00","amount_without_discount":"5.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/e2e9ce8b00eb0190c161c4258b899101.png","is_default":true,"item_id":259765,"name":"Gold","sku":"com.xsolla.gold_4","type":"virtual_currency"},{"amount":10,"amount_without_discount":10,"calculated_price":{"amount":"10.00","amount_without_discount":"10.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/015e4f4ea4deb1e2c92d5c21a4d58309.png","is_default":false,"item_id":259766,"name":"Silver","sku":"com.xsolla.silver_4","type":"virtual_currency"},{"amount":100,"amount_without_discount":100,"calculated_price":{"amount":"100.00","amount_without_discount":"100.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/b0beedd5763b612bd3a5631e6cb1d1ff.png","is_default":false,"item_id":259767,"name":"Bronze","sku":"com.xsolla.bronze_4","type":"virtual_currency"}],"vp_rewards":[]},{"attributes":[],"can_be_bought":true,"description":"Electric shield","groups":[{"external_id":"armour","name":"Armour"}],"image_url":"https://cdn3.xsolla.com/img/misc/images/d2d6b1b517e6a7f3765c3bb5a3cfb87d.png","is_free":false,"item_id":259774,"name":"Electric shield","price":{"amount":"9.99","amount_without_discount":"9.99","currency":"USD"},"sku":"com.xsolla.electric_shield_1","type":"virtual_good","virtual_item_type":"non_consumable","virtual_prices":[{"amount":10,"amount_without_discount":10,"calculated_price":{"amount":"10.00","amount_without_discount":"10.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/e2e9ce8b00eb0190c161c4258b899101.png","is_default":true,"item_id":259765,"name":"Gold","sku":"com.xsolla.gold_5","type":"virtual_currency"},{"amount":20,"amount_without_discount":20,"calculated_price":{"amount":"20.00","amount_without_discount":"20.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/015e4f4ea4deb1e2c92d5c21a4d58309.png","is_default":false,"item_id":259766,"name":"Silver","sku":"com.xsolla.silver_5","type":"virtual_currency"},{"amount":200,"amount_without_discount":200,"calculated_price":{"amount":"200.00","amount_without_discount":"200.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/b0beedd5763b612bd3a5631e6cb1d1ff.png","is_default":false,"item_id":259767,"name":"Bronze","sku":"com.xsolla.bronze_5","type":"virtual_currency"}],"vp_rewards":[]},{"attributes":[],"can_be_bought":true,"description":"Royal shield","groups":[{"external_id":"armour","name":"Armour"}],"image_url":"https://cdn3.xsolla.com/img/misc/images/ed417975312a52efeeab8b039ff25cb1.png","is_free":false,"item_id":259775,"name":"Royal shield","price":{"amount":"19.99","amount_without_discount":"19.99","currency":"USD"},"sku":"com.xsolla.royal_shield_1","type":"virtual_good","virtual_item_type":"non_consumable","virtual_prices":[{"amount":20,"amount_without_discount":20,"calculated_price":{"amount":"20.00","amount_without_discount":"20.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/e2e9ce8b00eb0190c161c4258b899101.png","is_default":true,"item_id":259765,"name":"Gold","sku":"com.xsolla.gold_6","type":"virtual_currency"},{"amount":40,"amount_without_discount":40,"calculated_price":{"amount":"40.00","amount_without_discount":"40.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/015e4f4ea4deb1e2c92d5c21a4d58309.png","is_default":false,"item_id":259766,"name":"Silver","sku":"com.xsolla.silver_6","type":"virtual_currency"},{"amount":400,"amount_without_discount":400,"calculated_price":{"amount":"400.00","amount_without_discount":"400.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/b0beedd5763b612bd3a5631e6cb1d1ff.png","is_default":false,"item_id":259767,"name":"Bronze","sku":"com.xsolla.bronze_6","type":"virtual_currency"}],"vp_rewards":[]},{"attributes":[],"can_be_bought":true,"description":"Ancient helmet","groups":[{"external_id":"armour","name":"Armour"}],"image_url":"https://cdn3.xsolla.com/img/misc/images/e70e16d9626f435e519fc8e1cc1e7176.png","is_free":false,"item_id":259776,"name":"Ancient helmet","price":{"amount":"1.99","amount_without_discount":"1.99","currency":"USD"},"sku":"com.xsolla.ancient_helmet_1","type":"virtual_good","virtual_item_type":"non_consumable","virtual_prices":[{"amount":2,"amount_without_discount":2,"calculated_price":{"amount":"2.00","amount_without_discount":"2.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/e2e9ce8b00eb0190c161c4258b899101.png","is_default":true,"item_id":259765,"name":"Gold","sku":"com.xsolla.gold_7","type":"virtual_currency"},{"amount":4,"amount_without_discount":4,"calculated_price":{"amount":"4.00","amount_without_discount":"4.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/015e4f4ea4deb1e2c92d5c21a4d58309.png","is_default":false,"item_id":259766,"name":"Silver","sku":"com.xsolla.silver_7","type":"virtual_currency"},{"amount":40,"amount_without_discount":40,"calculated_price":{"amount":"40.00","amount_without_discount":"40.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/b0beedd5763b612bd3a5631e6cb1d1ff.png","is_default":false,"item_id":259767,"name":"Bronze","sku":"com.xsolla.bronze_7","type":"virtual_currency"}],"vp_rewards":[]},{"attributes":[],"can_be_bought":true,"description":"Wooden helmet","groups":[{"external_id":"armour","name":"Armour"}],"image_url":"https://cdn3.xsolla.com/img/misc/images/40d2812e52ad9d988ac20fc842fc66f0.png","is_free":false,"item_id":259777,"name":"Wooden helmet","price":{"amount":"0.99","amount_without_discount":"0.99","currency":"USD"},"sku":"com.xsolla.wooden_helmet_1","type":"virtual_good","virtual_item_type":"non_consumable","virtual_prices":[{"amount":1,"amount_without_discount":1,"calculated_price":{"amount":"1.00","amount_without_discount":"1.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/e2e9ce8b00eb0190c161c4258b899101.png","is_default":true,"item_id":259765,"name":"Gold","sku":"com.xsolla.gold_8","type":"virtual_currency"},{"amount":2,"amount_without_discount":2,"calculated_price":{"amount":"2.00","amount_without_discount":"2.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/015e4f4ea4deb1e2c92d5c21a4d58309.png","is_default":false,"item_id":259766,"name":"Silver","sku":"com.xsolla.silver_8","type":"virtual_currency"},{"amount":20,"amount_without_discount":20,"calculated_price":{"amount":"20.00","amount_without_discount":"20.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/b0beedd5763b612bd3a5631e6cb1d1ff.png","is_default":false,"item_id":259767,"name":"Bronze","sku":"com.xsolla.bronze_8","type":"virtual_currency"}],"vp_rewards":[]},{"attributes":[],"bundle_type":"standard","can_be_bought":true,"content":[{"attributes":[],"can_be_bought":true,"description":"Electric shield","groups":[{"external_id":"armour","name":"Armour"}],"image_url":"https://cdn3.xsolla.com/img/misc/images/d2d6b1b517e6a7f3765c3bb5a3cfb87d.png","is_free":false,"item_id":259774,"name":"Electric shield","price":{"amount":"9.99","amount_without_discount":"9.99","currency":"USD"},"quantity":1,"sku":"com.xsolla.electric_shield_2","type":"virtual_good","virtual_item_type":"non_consumable","virtual_prices":[{"amount":10,"amount_without_discount":10,"calculated_price":{"amount":"10.00","amount_without_discount":"10.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/e2e9ce8b00eb0190c161c4258b899101.png","is_default":true,"item_id":259765,"name":"Gold","sku":"com.xsolla.gold_10","type":"virtual_currency"},{"amount":20,"amount_without_discount":20,"calculated_price":{"amount":"20.00","amount_without_discount":"20.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/015e4f4ea4deb1e2c92d5c21a4d58309.png","is_default":false,"item_id":259766,"name":"Silver","sku":"com.xsolla.silver_10","type":"virtual_currency"},{"amount":200,"amount_without_discount":200,"calculated_price":{"amount":"200.00","amount_without_discount":"200.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/b0beedd5763b612bd3a5631e6cb1d1ff.png","is_default":false,"item_id":259767,"name":"Bronze","sku":"com.xsolla.bronze_10","type":"virtual_currency"}]},{"attributes":[],"can_be_bought":true,"description":"Ancient helmet","groups":[{"external_id":"armour","name":"Armour"}],"image_url":"https://cdn3.xsolla.com/img/misc/images/e70e16d9626f435e519fc8e1cc1e7176.png","is_free":false,"item_id":259776,"name":"Ancient helmet","price":{"amount":"1.99","amount_without_discount":"1.99","currency":"USD"},"quantity":1,"sku":"com.xsolla.ancient_helmet_2","type":"virtual_good","virtual_item_type":"non_consumable","virtual_prices":[{"amount":2,"amount_without_discount":2,"calculated_price":{"amount":"2.00","amount_without_discount":"2.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/e2e9ce8b00eb0190c161c4258b899101.png","is_default":true,"item_id":259765,"name":"Gold","sku":"com.xsolla.gold_11","type":"virtual_currency"},{"amount":4,"amount_without_discount":4,"calculated_price":{"amount":"4.00","amount_without_discount":"4.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/015e4f4ea4deb1e2c92d5c21a4d58309.png","is_default":false,"item_id":259766,"name":"Silver","sku":"com.xsolla.silver_11","type":"virtual_currency"},{"amount":40,"amount_without_discount":40,"calculated_price":{"amount":"40.00","amount_without_discount":"40.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/b0beedd5763b612bd3a5631e6cb1d1ff.png","is_default":false,"item_id":259767,"name":"Bronze","sku":"com.xsolla.bronze_11","type":"virtual_currency"}]}],"description":"Chest of armour","groups":[],"image_url":"https://cdn3.xsolla.com/img/misc/images/5212202f9b8c9dbd254652d6cbeba03e.png","is_free":false,"item_id":259778,"name":"Chest of armor","price":{"amount":"19.99","amount_without_discount":"19.99","currency":"USD"},"sku":"com.xsolla.armor_chest_1","total_content_price":{"amount":"11.98","amount_without_discount":"11.98","currency":"USD"},"type":"bundle","virtual_prices":[{"amount":20,"amount_without_discount":20,"calculated_price":{"amount":"20.00","amount_without_discount":"20.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/e2e9ce8b00eb0190c161c4258b899101.png","is_default":true,"item_id":259765,"name":"Gold","sku":"com.xsolla.gold_9","type":"virtual_currency"},{"amount":40,"amount_without_discount":40,"calculated_price":{"amount":"40.00","amount_without_discount":"40.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/015e4f4ea4deb1e2c92d5c21a4d58309.png","is_default":false,"item_id":259766,"name":"Silver","sku":"com.xsolla.silver_9","type":"virtual_currency"},{"amount":400,"amount_without_discount":400,"calculated_price":{"amount":"400.00","amount_without_discount":"400.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/b0beedd5763b612bd3a5631e6cb1d1ff.png","is_default":false,"item_id":259767,"name":"Bronze","sku":"com.xsolla.bronze_9","type":"virtual_currency"}],"vp_rewards":[]},{"attributes":[],"bundle_type":"standard","can_be_bought":true,"content":[{"attributes":[],"can_be_bought":true,"description":"Saber","groups":[{"external_id":"swords","name":"Swords"}],"image_url":"https://cdn3.xsolla.com/img/misc/images/edd914d60301d77b94926478d253fcb6.png","is_free":false,"item_id":259772,"name":"Saber","price":{"amount":"3.99","amount_without_discount":"3.99","currency":"USD"},"quantity":1,"sku":"com.xsolla.saber_2","type":"virtual_good","virtual_item_type":"non_consumable","virtual_prices":[{"amount":3,"amount_without_discount":3,"calculated_price":{"amount":"3.00","amount_without_discount":"3.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/e2e9ce8b00eb0190c161c4258b899101.png","is_default":true,"item_id":259765,"name":"Gold","sku":"com.xsolla.gold_13","type":"virtual_currency"},{"amount":7,"amount_without_discount":7,"calculated_price":{"amount":"7.00","amount_without_discount":"7.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/015e4f4ea4deb1e2c92d5c21a4d58309.png","is_default":false,"item_id":259766,"name":"Silver","sku":"com.xsolla.silver_13","type":"virtual_currency"},{"amount":70,"amount_without_discount":70,"calculated_price":{"amount":"70.00","amount_without_discount":"70.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/b0beedd5763b612bd3a5631e6cb1d1ff.png","is_default":false,"item_id":259767,"name":"Bronze","sku":"com.xsolla.bronze_13","type":"virtual_currency"}]},{"attributes":[],"bundle_type":"virtual_currency_package","can_be_bought":true,"content":[{"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/015e4f4ea4deb1e2c92d5c21a4d58309.png","item_id":259766,"name":"Silver","quantity":50,"sku":"com.xsolla.silver_14","type":"virtual_currency"}],"description":"Chest of silver","groups":[],"image_url":"https://cdn3.xsolla.com/img/misc/images/f0b59a3370404e8881107249051b70bd.png","is_free":false,"item_id":259769,"name":"Chest of silver","price":{"amount":"19.99","amount_without_discount":"19.99","currency":"USD"},"quantity":10,"sku":"com.xsolla.silver_chest_2","type":"bundle","virtual_prices":[]},{"attributes":[],"bundle_type":"virtual_currency_package","can_be_bought":true,"content":[{"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/b0beedd5763b612bd3a5631e6cb1d1ff.png","item_id":259767,"name":"Bronze","quantity":100,"sku":"com.xsolla.bronze_11","type":"virtual_currency"}],"description":"Chest of bronze","groups":[],"image_url":"https://cdn3.xsolla.com/img/misc/images/b32eb5b1f4f0c202ea6ac4e21c2eae18.png","is_free":false,"item_id":259770,"name":"Chest of bronze","price":{"amount":"5.99","amount_without_discount":"5.99","currency":"USD"},"quantity":100,"sku":"com.xsolla.bronze_chest_2","type":"bundle","virtual_prices":[]}],"description":"Treasure Chest","groups":[],"image_url":"https://cdn3.xsolla.com/img/misc/images/7b1c0136d91398f9ab17924deee5eeec.png","is_free":false,"item_id":259779,"name":"Treasure Chest","price":{"amount":"9.99","amount_without_discount":"9.99","currency":"USD"},"sku":"com.xsolla.treasure_chest_1","total_content_price":{"amount":"802.89","amount_without_discount":"802.89","currency":"USD"},"type":"bundle","virtual_prices":[{"amount":10,"amount_without_discount":10,"calculated_price":{"amount":"10.00","amount_without_discount":"10.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/e2e9ce8b00eb0190c161c4258b899101.png","is_default":true,"item_id":259765,"name":"Gold","sku":"com.xsolla.gold_12","type":"virtual_currency"},{"amount":20,"amount_without_discount":20,"calculated_price":{"amount":"20.00","amount_without_discount":"20.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/015e4f4ea4deb1e2c92d5c21a4d58309.png","is_default":false,"item_id":259766,"name":"Silver","sku":"com.xsolla.silver_12","type":"virtual_currency"},{"amount":40,"amount_without_discount":40,"calculated_price":{"amount":"40.00","amount_without_discount":"40.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/b0beedd5763b612bd3a5631e6cb1d1ff.png","is_default":false,"item_id":259767,"name":"Bronze","sku":"com.xsolla.bronze_12","type":"virtual_currency"}],"vp_rewards":[]}]
items[].​attributesArray of objects(Virtual-Items-Currency_client-attributes)

与商品对应的属性及其值的列表。可用于目录筛选。

items[].​attributes[].​external_idstring(admin-attribute-external_id)[ 1 .. 255 ] characters^[a-zA-Z0-9-_]+$

唯一属性ID。 external_id只能包含大小写英文字母和数字字符、破折号和下划线。

items[].​attributes[].​nameobject

属性名称。

示例: "Genre"
items[].​attributes[].​name.​property name*string or null附加属性
items[].​attributes[].​valuesArray of objects
items[].​attributes[].​values[].​external_idstring(value-external_id)[ 1 .. 255 ] characters^[-_.\d\w]+$

属性的唯一值ID。 external_id只能包含小写英文字母和数字字符、破折号和下划线。

items[].​attributes[].​values[].​valuestring

属性值。

示例: "Strategy"
items[].​bundle_typestring

捆绑类型。商品类型是捆绑包时返回。

枚举"standard""virtual_currency_package"
items[].​can_be_boughtboolean

如为true,则用户可以购买商品。

示例: true
items[].​contentArray of objects
items[].​custom_attributesobject(json)(item-custom-attributes-response)

包含商品属性和值的JSON对象。

items[].​descriptionstring

商品描述。

示例: "Electric shield"
items[].​groupsArray of objects(items_client_groups_response)

商品所属分组。

items[].​groups[].​external_idstring

组的唯一标识符,通常用于在API请求或外部系统中引用该组。

示例: "exclusive"
items[].​groups[].​item_order_in_groupinteger

商品在组中的位置,用于确定其显示顺序。 仅当通过additional_fields[]查询参数方式请求时,响应中才包含此字段。

示例: 1
items[].​groups[].​namestring

组名称。

示例: "Exclusive"
items[].​image_urlstring

图像URL。

示例: "https://cdn3.xsolla.com/img/misc/images/d2d6b1b517e6a7f3765c3bb5a3cfb87d.png"
items[].​is_freeboolean(value-is_free)

该商品是否免费。

items[].​item_idinteger

创建商品时提供的内部唯一商品ID。

示例: 259774
items[].​limitsobject or null(Catalog_item_limits)

商品限制。

items[].​limits.​per_itemobject or null

商品的购买限制。

items[].​limits.​per_item.​availableinteger

所有用户可购买的剩余商品数量。

示例: 3
items[].​limits.​per_item.​totalinteger

所有用户可购买的最大商品数量。

示例: 5
items[].​limits.​per_userobject or null

一个用户的购买数量限制。

items[].​limits.​per_user.​availableinteger

当前用户可购买的剩余商品数量。

示例: 3
items[].​limits.​per_user.​limit_exceeded_visibilitystring(limit_exceeded_visibility)

Determines the visibility of the item in the catalog after the purchase limit is reached, until the next limit reset.

Applies to items for which recurring limit resets are configured in the recurrent_schedule array.

If limit resets are not configured, the item doesn't appear in the catalog after the purchase limit is reached, regardless of the limit_exceeded_visibility value.

Possible values:

  • show — The item is returned in catalog retrieval API calls after the purchase limit is reached. In client-side catalog retrieval API calls, once the limit is reached, the item is returned with the can_be_bought: false flag. The next reset date is returned in reset_next_date.
  • hide — The item is not returned in catalog retrieval API calls after the purchase limit is reached, until the limit is reset.
枚举"show""hide"
items[].​limits.​per_user.​recurrent_schedule(object or null)(catalog_recurrent_schedule_client_response)
One of:

用户的商品限制循环刷新周期。

object or null
items[].​limits.​per_user.​totalinteger

单个用户可购买的最大商品数量。

示例: 5
items[].​namestring

商品名称。

示例: "Electric shield"
items[].​priceobject

商品价格。

items[].​price.​amountstring

折扣后的商品价格。

示例: "9.99"
items[].​price.​amount_without_discountstring

商品价格。

示例: "9.99"
items[].​price.​currencystring

商品价格货币。每ISO 4217

示例: "USD"
items[].​promotionsArray of objects(Catalog_item_promotions)

应用于购物车中指定商品的促销活动。仅在以下情况下返回该数组:

  • 为某商品配置了折扣促销活动。

  • 应用了对所选商品提供折扣设置的促销码。

如果未应用任何商品级促销活动,则返回空数组。

items[].​promotions[].​bonusArray of objects
items[].​promotions[].​bonus[].​bundle_typestring

奖励捆绑包商品类型。仅适用于bundle奖励品类型。

枚举"standard""virtual_currency_package"
items[].​promotions[].​bonus[].​image_urlstring

奖励商品图片URL。不适用于physical_good奖励品类型。

items[].​promotions[].​bonus[].​namestring

奖励品名称。不适用于physical_good奖励品类型。

items[].​promotions[].​bonus[].​quantityinteger
items[].​promotions[].​bonus[].​skustring
items[].​promotions[].​bonus[].​typestring

奖励品类型。

枚举"virtual_good""virtual_currency""bundle""physical_good""game_key""nft"
items[].​promotions[].​date_endstring or null(date-time)
items[].​promotions[].​date_startstring or null(date-time)
items[].​promotions[].​discountobject or null
items[].​promotions[].​discount.​percentstring or null
items[].​promotions[].​discount.​valuestring or null
items[].​promotions[].​limitsobject
items[].​promotions[].​limits.​per_userobject
items[].​promotions[].​limits.​per_user.​availableinteger
items[].​promotions[].​limits.​per_user.​totalinteger
items[].​promotions[].​namestring
items[].​skustring

唯一商品ID。 SKU只能包含大小写英文字母和数字字符、句点、破折号和下划线。

示例: "com.xsolla.electric_shield_1"
items[].​total_content_priceobject or null(Bundles_total_content_price)

捆绑包内容价格总和。

items[].​total_content_price.​amountstring

折扣后的捆绑包内容价格总和。

示例: "100.99"
items[].​total_content_price.​amount_without_discountstring

捆绑包内容价格总和。

示例: "100.99"
items[].​total_content_price.​currencystring(Bundles_currency)

商品价格货币。每ISO 4217

items[].​typestring

商品类型:virtual_good/virtual_currency/bundle/game_key/physical_good

枚举"virtual_good""virtual_currency""bundle""game_key""physical_good"
示例: "virtual_good"
items[].​virtual_item_typestring

Type of virtual item.

Possible values:

  • consumable — An item that disappears from the inventory after use (e.g., ammo).
  • non_consumable — An item that stays in the inventory for an unlimited period of time.
  • non_renewing_subscription — Time-limited item that can represent access to services or content for a limited period of time.
枚举"consumable""non_consumable""non_renewing_subscription"
示例: "non-consumable"
items[].​virtual_pricesArray of objects

虚拟价格。

items[].​virtual_prices[].​amountinteger

折扣后的商品虚拟货币价格。

示例: 10
items[].​virtual_prices[].​amount_without_discountinteger

商品价格。

示例: 10
items[].​virtual_prices[].​calculated_priceobject
items[].​virtual_prices[].​calculated_price.​amountstring
items[].​virtual_prices[].​calculated_price.​amount_without_discountstring
items[].​virtual_prices[].​descriptionstring or null

虚拟货币说明。

示例: null
items[].​virtual_prices[].​image_urlstring

虚拟货币图像。

示例: "https://cdn3.xsolla.com/img/misc/images/e2e9ce8b00eb0190c161c4258b899101.png"
items[].​virtual_prices[].​is_defaultboolean

商品价格是否为默认。

示例: true
items[].​virtual_prices[].​item_idinteger

创建商品时提供的内部唯一商品ID。

示例: 259774
items[].​virtual_prices[].​namestring

虚拟货币名称。

示例: "Gold"
items[].​virtual_prices[].​skustring

虚拟货币物品SKU。

示例: "com.xsolla.gold_1"
items[].​virtual_prices[].​typestring

虚拟货币类型。

示例: "virtual_currency"
items[].​vp_rewardsArray of objects(client-item-value-point-reward)

奖励积分商品奖励。

items[].​vp_rewards[].​amountinteger(value-point-amount)

奖励积分的数量。

items[].​vp_rewards[].​image_urlstring(Common_admin-image_url)

图像URL。

items[].​vp_rewards[].​is_clanboolean(is_clan)

该奖励积分是否用于公会奖励链。

items[].​vp_rewards[].​item_idinteger(item_id)

内部唯一物品ID。

items[].​vp_rewards[].​namestring(value-point-name)

奖励积分名称。

items[].​vp_rewards[].​skustring(value-point-sku)

唯一奖励积分ID。

响应
application/json
{ "has_more": false, "items": [ {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {} ] }

按指定组获取可售商品列表Client-side

请求

Gets a sellable items list from the specified group for building a catalog.

Attention

All projects have the limitation to the number of items that you can get in the response. The default and maximum value is 50 items per response. To get more data page by page, use limit and offset fields.

Note

This API call returns generic item catalog data when used without authorization. Use authorization to retrieve personalized user data, such as limits and promotions associated with the item. To do this, pass the user JWT in the Authorization header. For more information about user JWT, see the Security block for this call.
安全
XsollaLoginUserJWT
路径
project_idinteger必需

项目ID。您可以在您的发布商帐户项目名称旁边找到。

示例: 59080
external_idstring必需

组外部ID。

默认值 "armour"
查询
limitinteger>= 1

页面上元素数量的限制。

示例: limit=50
offsetinteger>= 0

元素编号,从该元素开始生成列表(从0开始数)。

示例: offset=0
localestring

Response language. Two-letter lowercase language code per ISO 639-1 (for example, en). Five-character locale codes (for example, en-US) are supported in localization fields such as name and description, but are normalized to two-letter codes in responses. You can find the full list of supported languages in the documentation.

默认值 "en"
additional_fields[]Array of strings

附加字段列表。如果在请求中发送这些字段,则它们将包含在响应中。

枚举"media_list""order""long_description""custom_attributes""item_order_in_group"
countrystring

ISO 3166-1 alpha-2标准下的两个大写字母的国家/地区代码。 请查看文档详细了解艾克索拉支持的国家/地区国家/地区的判断流程

示例: country=US
promo_codestring[ 1 .. 128 ] characters

区分大小写的唯一券码。包含字母和数字。

示例: promo_code=WINTER2021
show_inactive_time_limited_itemsinteger

显示用户不可用的时效性商品。此类商品的有效期尚未开始或已过期。

默认值 0
示例: show_inactive_time_limited_items=1
curl -i -X GET \
  'https://store.xsolla.com/api/v2/project/59080/items/group/{external_id}?limit=50&offset=0&locale=en&additional_fields%5B%5D=media_list&country=US&promo_code=WINTER2021&show_inactive_time_limited_items=1' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

响应

已成功接收指定组的可售商品列表。

正文application/json
has_moreboolean(Pagination_has-more)

用作指示还有更多页面。

itemsArray of objects
示例: [{"attributes":[],"can_be_bought":true,"description":"Electric shield","groups":[{"external_id":"armour","name":"Armour"}],"image_url":"https://cdn3.xsolla.com/img/misc/images/d2d6b1b517e6a7f3765c3bb5a3cfb87d.png","is_free":false,"item_id":259774,"limits":{"per_user":{"available":3,"limit_exceeded_visibility":"show","recurrent_schedule":{"interval_type":"weekly","reset_next_date":1746057600},"total":5}},"name":"Electric shield","price":{"amount":"9.99","amount_without_discount":"9.99","currency":"USD"},"promotions":[{"bonus":[{"image_url":"https://cdn.xsolla.net/img/misc/images/2fc5c491a47413a8e8000447889093c2.png","name":"Xsolla Minigun","quantity":1,"sku":"com.xsolla.minigun_1","type":"virtual_good"}],"date_end":"2026-04-15T16:16:00+03:00","date_start":"2020-04-15T16:16:00+03:00","discount":{"percent":"50.00"},"name":"Bonus promotion"}],"sku":"com.xsolla.electric_shield_1","type":"virtual_good","virtual_item_type":"non_consumable","virtual_prices":[{"amount":10,"amount_without_discount":10,"calculated_price":{"amount":"10.00","amount_without_discount":"10.00"},"description":null,"image_url":"https://cdn3.xsolla.com/img/misc/images/e2e9ce8b00eb0190c161c4258b899101.png","is_default":true,"item_id":259765,"name":"Gold","sku":"com.xsolla.gold_1","type":"virtual_currency"},{"amount":20,"amount_without_discount":20,"calculated_price":{"amount":"20.00","amount_without_discount":"20.00"},"description":null,"image_url":"https://cdn3.xsolla.com/img/misc/images/015e4f4ea4deb1e2c92d5c21a4d58309.png","is_default":false,"item_id":259766,"name":"Silver","sku":"com.xsolla.silver_1","type":"virtual_currency"},{"amount":200,"amount_without_discount":200,"calculated_price":{"amount":"200.00","amount_without_discount":"200.00"},"description":null,"image_url":"https://cdn3.xsolla.com/img/misc/images/b0beedd5763b612bd3a5631e6cb1d1ff.png","is_default":false,"item_id":259767,"name":"Bronze","sku":"com.xsolla.bronze_1","type":"virtual_currency"}],"vp_rewards":[{"amount":130,"image_url":"https://cdn3.xsolla.com/img/misc/images/54c0cf9d345817cdacfdde198db178e0.jpg","item_id":175232,"name":"Value point","sku":"com.xsolla.value_point_1"},{"amount":50,"image_url":"https://cdn3.xsolla.com/img/misc/images/54c0cf9d345817cdacfdde198db178e0.jpg","is_clan":true,"item_id":186321,"name":"Clan Reward VP 1","sku":"clan_value_point_sku_1"}]},{"attributes":[],"can_be_bought":true,"description":"Royal shield","groups":[{"external_id":"armour","name":"Armour"}],"image_url":"https://cdn3.xsolla.com/img/misc/images/ed417975312a52efeeab8b039ff25cb1.png","is_free":false,"item_id":259775,"name":"Royal shield","price":{"amount":"19.99","amount_without_discount":"19.99","currency":"USD"},"promotions":[],"sku":"com.xsolla.royal_shield_1","type":"virtual_good","virtual_item_type":"non_consumable","virtual_prices":[{"amount":20,"amount_without_discount":20,"calculated_price":{"amount":"20.00","amount_without_discount":"20.00"},"description":null,"image_url":"https://cdn3.xsolla.com/img/misc/images/e2e9ce8b00eb0190c161c4258b899101.png","is_default":true,"item_id":259765,"name":"Gold","sku":"com.xsolla.gold_2","type":"virtual_currency"},{"amount":40,"amount_without_discount":40,"calculated_price":{"amount":"40.00","amount_without_discount":"40.00"},"description":null,"image_url":"https://cdn3.xsolla.com/img/misc/images/015e4f4ea4deb1e2c92d5c21a4d58309.png","is_default":false,"item_id":259766,"name":"Silver","sku":"com.xsolla.silver_2","type":"virtual_currency"},{"amount":400,"amount_without_discount":400,"calculated_price":{"amount":"400.00","amount_without_discount":"400.00"},"description":null,"image_url":"https://cdn3.xsolla.com/img/misc/images/b0beedd5763b612bd3a5631e6cb1d1ff.png","is_default":false,"item_id":259767,"name":"Bronze","sku":"com.xsolla.bronze_2","type":"virtual_currency"}],"vp_rewards":[]},{"attributes":[],"can_be_bought":true,"description":"Ancient helmet","groups":[{"external_id":"armour","name":"Armour"}],"image_url":"https://cdn3.xsolla.com/img/misc/images/e70e16d9626f435e519fc8e1cc1e7176.png","is_free":false,"item_id":259776,"name":"Ancient helmet","price":{"amount":"1.99","amount_without_discount":"1.99","currency":"USD"},"promotions":[{"bonus":[{"image_url":"https://cdn.xsolla.net/img/misc/images/2fc5c491a47413a8e8000447889093c2.png","name":"Xsolla Minigun","quantity":1,"sku":"com.xsolla.minigun_1","type":"virtual_good"}],"date_end":"2026-04-15T16:16:00+03:00","date_start":"2020-04-15T16:16:00+03:00","discount":{"percent":"50.00"},"name":"Bonus promotion"}],"sku":"com.xsolla.ancient_helmet_1","type":"virtual_good","virtual_item_type":"non_consumable","virtual_prices":[{"amount":2,"amount_without_discount":2,"calculated_price":{"amount":"2.00","amount_without_discount":"2.00"},"description":null,"image_url":"https://cdn3.xsolla.com/img/misc/images/e2e9ce8b00eb0190c161c4258b899101.png","is_default":true,"item_id":259765,"name":"Gold","sku":"com.xsolla.gold_3","type":"virtual_currency"},{"amount":4,"amount_without_discount":4,"calculated_price":{"amount":"4.00","amount_without_discount":"4.00"},"description":null,"image_url":"https://cdn3.xsolla.com/img/misc/images/015e4f4ea4deb1e2c92d5c21a4d58309.png","is_default":false,"item_id":259766,"name":"Silver","sku":"com.xsolla.silver_3","type":"virtual_currency"},{"amount":40,"amount_without_discount":40,"calculated_price":{"amount":"40.00","amount_without_discount":"40.00"},"description":null,"image_url":"https://cdn3.xsolla.com/img/misc/images/b0beedd5763b612bd3a5631e6cb1d1ff.png","is_default":false,"item_id":259767,"name":"Bronze","sku":"com.xsolla.bronze_3","type":"virtual_currency"}],"vp_rewards":[]},{"attributes":[],"can_be_bought":true,"description":"Wooden helmet","groups":[{"external_id":"armour","name":"Armour"}],"image_url":"https://cdn3.xsolla.com/img/misc/images/40d2812e52ad9d988ac20fc842fc66f0.png","is_free":false,"item_id":259777,"name":"Wooden helmet","price":{"amount":"0.99","amount_without_discount":"0.99","currency":"USD"},"promotions":[],"sku":"com.xsolla.wooden_helmet_1","type":"virtual_good","virtual_item_type":"non_consumable","virtual_prices":[{"amount":1,"amount_without_discount":1,"calculated_price":{"amount":"1.00","amount_without_discount":"1.00"},"description":null,"image_url":"https://cdn3.xsolla.com/img/misc/images/e2e9ce8b00eb0190c161c4258b899101.png","is_default":true,"item_id":259765,"name":"Gold","sku":"com.xsolla.gold_4","type":"virtual_currency"},{"amount":2,"amount_without_discount":2,"calculated_price":{"amount":"2.00","amount_without_discount":"2.00"},"description":null,"image_url":"https://cdn3.xsolla.com/img/misc/images/015e4f4ea4deb1e2c92d5c21a4d58309.png","is_default":false,"item_id":259766,"name":"Silver","sku":"com.xsolla.silver_4","type":"virtual_currency"},{"amount":20,"amount_without_discount":20,"calculated_price":{"amount":"20.00","amount_without_discount":"20.00"},"description":null,"image_url":"https://cdn3.xsolla.com/img/misc/images/b0beedd5763b612bd3a5631e6cb1d1ff.png","is_default":false,"item_id":259767,"name":"Bronze","sku":"com.xsolla.bronze_4","type":"virtual_currency"}],"vp_rewards":[]}]
items[].​attributesArray of objects(Virtual-Items-Currency_client-attributes)

与商品对应的属性及其值的列表。可用于目录筛选。

items[].​attributes[].​external_idstring(admin-attribute-external_id)[ 1 .. 255 ] characters^[a-zA-Z0-9-_]+$

唯一属性ID。 external_id只能包含大小写英文字母和数字字符、破折号和下划线。

items[].​attributes[].​nameobject

属性名称。

示例: "Genre"
items[].​attributes[].​name.​property name*string or null附加属性
items[].​attributes[].​valuesArray of objects
items[].​attributes[].​values[].​external_idstring(value-external_id)[ 1 .. 255 ] characters^[-_.\d\w]+$

属性的唯一值ID。 external_id只能包含小写英文字母和数字字符、破折号和下划线。

items[].​attributes[].​values[].​valuestring

属性值。

示例: "Strategy"
items[].​can_be_boughtboolean

如为true,则用户可以购买商品。

示例: true
items[].​custom_attributesobject(json)(item-custom-attributes-response)

包含商品属性和值的JSON对象。

items[].​descriptionstring or null

商品描述。

示例: "Electric shield"
items[].​groupsArray of objects(items_client_groups_response)

商品所属分组。

items[].​groups[].​external_idstring

组的唯一标识符,通常用于在API请求或外部系统中引用该组。

示例: "exclusive"
items[].​groups[].​item_order_in_groupinteger

商品在组中的位置,用于确定其显示顺序。 仅当通过additional_fields[]查询参数方式请求时,响应中才包含此字段。

示例: 1
items[].​groups[].​namestring

组名称。

示例: "Exclusive"
items[].​image_urlstring

图像URL。

示例: "https://cdn3.xsolla.com/img/misc/images/d2d6b1b517e6a7f3765c3bb5a3cfb87d.png"
items[].​is_freeboolean(value-is_free)

该商品是否免费。

items[].​item_idinteger

创建商品时提供的内部唯一商品ID。

示例: 259774
items[].​limitsobject or null(Catalog_item_limits)

商品限制。

items[].​limits.​per_itemobject or null

商品的购买限制。

items[].​limits.​per_item.​availableinteger

所有用户可购买的剩余商品数量。

示例: 3
items[].​limits.​per_item.​totalinteger

所有用户可购买的最大商品数量。

示例: 5
items[].​limits.​per_userobject or null

一个用户的购买数量限制。

items[].​limits.​per_user.​availableinteger

当前用户可购买的剩余商品数量。

示例: 3
items[].​limits.​per_user.​limit_exceeded_visibilitystring(limit_exceeded_visibility)

Determines the visibility of the item in the catalog after the purchase limit is reached, until the next limit reset.

Applies to items for which recurring limit resets are configured in the recurrent_schedule array.

If limit resets are not configured, the item doesn't appear in the catalog after the purchase limit is reached, regardless of the limit_exceeded_visibility value.

Possible values:

  • show — The item is returned in catalog retrieval API calls after the purchase limit is reached. In client-side catalog retrieval API calls, once the limit is reached, the item is returned with the can_be_bought: false flag. The next reset date is returned in reset_next_date.
  • hide — The item is not returned in catalog retrieval API calls after the purchase limit is reached, until the limit is reset.
枚举"show""hide"
items[].​limits.​per_user.​recurrent_schedule(object or null)(catalog_recurrent_schedule_client_response)
One of:

用户的商品限制循环刷新周期。

object or null
items[].​limits.​per_user.​totalinteger

单个用户可购买的最大商品数量。

示例: 5
items[].​namestring

商品名称。

示例: "Electric shield"
items[].​priceobject

商品价格。

items[].​price.​amountstring

折扣后的商品价格。

示例: "9.99"
items[].​price.​amount_without_discountstring

商品价格。

示例: "9.99"
items[].​price.​currencystring

商品价格货币。每ISO 4217

示例: "USD"
items[].​promotionsArray of objects(Catalog_item_promotions)

应用于购物车中指定商品的促销活动。仅在以下情况下返回该数组:

  • 为某商品配置了折扣促销活动。

  • 应用了对所选商品提供折扣设置的促销码。

如果未应用任何商品级促销活动,则返回空数组。

items[].​promotions[].​bonusArray of objects
items[].​promotions[].​bonus[].​bundle_typestring

奖励捆绑包商品类型。仅适用于bundle奖励品类型。

枚举"standard""virtual_currency_package"
items[].​promotions[].​bonus[].​image_urlstring

奖励商品图片URL。不适用于physical_good奖励品类型。

items[].​promotions[].​bonus[].​namestring

奖励品名称。不适用于physical_good奖励品类型。

items[].​promotions[].​bonus[].​quantityinteger
items[].​promotions[].​bonus[].​skustring
items[].​promotions[].​bonus[].​typestring

奖励品类型。

枚举"virtual_good""virtual_currency""bundle""physical_good""game_key""nft"
items[].​promotions[].​date_endstring or null(date-time)
items[].​promotions[].​date_startstring or null(date-time)
items[].​promotions[].​discountobject or null
items[].​promotions[].​discount.​percentstring or null
items[].​promotions[].​discount.​valuestring or null
items[].​promotions[].​limitsobject
items[].​promotions[].​limits.​per_userobject
items[].​promotions[].​limits.​per_user.​availableinteger
items[].​promotions[].​limits.​per_user.​totalinteger
items[].​promotions[].​namestring
items[].​skustring

唯一商品ID。 SKU只能包含大小写英文字母和数字字符、句点、破折号和下划线。

示例: "com.xsolla.electric_shield_1"
items[].​typestring

商品类型:virtual_good/virtual_currency/bundle/game_key/physical_good

枚举"virtual_good""virtual_currency""bundle""game_key""physical_good"
示例: "virtual_good"
items[].​virtual_item_typestring

Type of virtual item.

Possible values:

  • consumable — An item that disappears from the inventory after use (e.g., ammo).
  • non_consumable — An item that stays in the inventory for an unlimited period of time.
  • non_renewing_subscription — Time-limited item that can represent access to services or content for a limited period of time.
枚举"consumable""non_consumable""non_renewing_subscription"
示例: "non_consumable"
items[].​virtual_pricesArray of objects

虚拟价格。

items[].​virtual_prices[].​amountinteger

折扣后的商品虚拟货币价格。

示例: 10
items[].​virtual_prices[].​amount_without_discountinteger

商品价格。

示例: 10
items[].​virtual_prices[].​calculated_priceobject
items[].​virtual_prices[].​calculated_price.​amountstring
items[].​virtual_prices[].​calculated_price.​amount_without_discountstring
items[].​virtual_prices[].​descriptionstring or null

虚拟货币说明。

示例: null
items[].​virtual_prices[].​image_urlstring
示例: "https://cdn3.xsolla.com/img/misc/images/e2e9ce8b00eb0190c161c4258b899101.png"
items[].​virtual_prices[].​is_defaultboolean

商品价格是否为默认。

示例: true
items[].​virtual_prices[].​item_idinteger

创建商品时提供的内部唯一商品ID。

示例: 259774
items[].​virtual_prices[].​namestring

虚拟货币名称。

示例: "Gold"
items[].​virtual_prices[].​skustring

虚拟货币物品SKU。

示例: "com.xsolla.gold_1"
items[].​virtual_prices[].​typestring

虚拟货币类型。

示例: "virtual_currency"
items[].​vp_rewardsArray of objects(client-item-value-point-reward)

奖励积分商品奖励。

items[].​vp_rewards[].​amountinteger(value-point-amount)

奖励积分的数量。

items[].​vp_rewards[].​image_urlstring(Common_admin-image_url)

图像URL。

items[].​vp_rewards[].​is_clanboolean(is_clan)

该奖励积分是否用于公会奖励链。

items[].​vp_rewards[].​item_idinteger(item_id)

内部唯一物品ID。

items[].​vp_rewards[].​namestring(value-point-name)

奖励积分名称。

items[].​vp_rewards[].​skustring(value-point-sku)

唯一奖励积分ID。

响应
application/json
{ "has_more": true, "items": [ {}, {}, {}, {} ] }

按ID获取可售商品Client-side

请求

Gets a sellable item by its ID.

Note

This API call returns generic item catalog data when used without authorization. Use authorization to retrieve personalized user data, such as limits and promotions associated with the item. To do this, pass the user JWT in the Authorization header. For more information about user JWT, see the Security block for this call.
安全
XsollaLoginUserJWT
路径
project_idinteger必需

项目ID。您可以在您的发布商帐户项目名称旁边找到。

示例: 59080
item_idstring必需

物品ID。

示例: 259774
查询
promo_codestring[ 1 .. 128 ] characters

区分大小写的唯一券码。包含字母和数字。

示例: promo_code=WINTER2021
show_inactive_time_limited_itemsinteger

显示用户不可用的时效性商品。此类商品的有效期尚未开始或已过期。

默认值 0
示例: show_inactive_time_limited_items=1
additional_fields[]Array of strings

附加字段列表。如果在请求中发送这些字段,则它们将包含在响应中。

枚举"media_list""order""long_description""custom_attributes""item_order_in_group"
curl -i -X GET \
  'https://store.xsolla.com/api/v2/project/59080/items/id/259774?promo_code=WINTER2021&show_inactive_time_limited_items=1&additional_fields%5B%5D=media_list' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

响应

已成功接收可售商品。

正文application/json
attributesArray of objects(Virtual-Items-Currency_client-attributes)

与商品对应的属性及其值的列表。可用于目录筛选。

attributes[].​external_idstring(admin-attribute-external_id)[ 1 .. 255 ] characters^[a-zA-Z0-9-_]+$

唯一属性ID。 external_id只能包含大小写英文字母和数字字符、破折号和下划线。

attributes[].​nameobject

属性名称。

示例: "Genre"
attributes[].​name.​property name*string or null附加属性
attributes[].​valuesArray of objects
attributes[].​values[].​external_idstring(value-external_id)[ 1 .. 255 ] characters^[-_.\d\w]+$

属性的唯一值ID。 external_id只能包含小写英文字母和数字字符、破折号和下划线。

attributes[].​values[].​valuestring

属性值。

示例: "Strategy"
can_be_boughtboolean

如为true,则用户可以购买商品。

示例: true
custom_attributesobject(json)(item-custom-attributes-response)

包含商品属性和值的JSON对象。

descriptionstring

商品描述。

示例: "Electric shield"
groupsArray of objects(items_client_groups_response)

商品所属分组。

groups[].​external_idstring

组的唯一标识符,通常用于在API请求或外部系统中引用该组。

示例: "exclusive"
groups[].​item_order_in_groupinteger

商品在组中的位置,用于确定其显示顺序。 仅当通过additional_fields[]查询参数方式请求时,响应中才包含此字段。

示例: 1
groups[].​namestring

组名称。

示例: "Exclusive"
image_urlstring

图像URL。

示例: "https://cdn3.xsolla.com/img/misc/images/d2d6b1b517e6a7f3765c3bb5a3cfb87d.png"
is_freeboolean(value-is_free)

该商品是否免费。

item_idinteger

创建商品时提供的内部唯一商品ID。

示例: 259774
limitsobject or null(Catalog_item_limits)

商品限制。

limits.​per_itemobject or null

商品的购买限制。

limits.​per_item.​availableinteger

所有用户可购买的剩余商品数量。

示例: 3
limits.​per_item.​totalinteger

所有用户可购买的最大商品数量。

示例: 5
limits.​per_userobject or null

一个用户的购买数量限制。

limits.​per_user.​availableinteger

当前用户可购买的剩余商品数量。

示例: 3
limits.​per_user.​limit_exceeded_visibilitystring(limit_exceeded_visibility)

Determines the visibility of the item in the catalog after the purchase limit is reached, until the next limit reset.

Applies to items for which recurring limit resets are configured in the recurrent_schedule array.

If limit resets are not configured, the item doesn't appear in the catalog after the purchase limit is reached, regardless of the limit_exceeded_visibility value.

Possible values:

  • show — The item is returned in catalog retrieval API calls after the purchase limit is reached. In client-side catalog retrieval API calls, once the limit is reached, the item is returned with the can_be_bought: false flag. The next reset date is returned in reset_next_date.
  • hide — The item is not returned in catalog retrieval API calls after the purchase limit is reached, until the limit is reset.
枚举"show""hide"
limits.​per_user.​recurrent_schedule(object or null)(catalog_recurrent_schedule_client_response)
One of:

用户的商品限制循环刷新周期。

object or null
limits.​per_user.​totalinteger

单个用户可购买的最大商品数量。

示例: 5
namestring

商品名称。

示例: "Electric shield"
priceobject

商品价格。

price.​amountstring

折扣后的商品价格。

示例: "9.99"
price.​amount_without_discountstring

商品价格。

示例: "9.99"
price.​currencystring

商品价格货币。每ISO 4217

示例: "USD"
promotionsArray of objects(Catalog_item_promotions)

应用于购物车中指定商品的促销活动。仅在以下情况下返回该数组:

  • 为某商品配置了折扣促销活动。

  • 应用了对所选商品提供折扣设置的促销码。

如果未应用任何商品级促销活动,则返回空数组。

promotions[].​bonusArray of objects
promotions[].​bonus[].​bundle_typestring

奖励捆绑包商品类型。仅适用于bundle奖励品类型。

枚举"standard""virtual_currency_package"
promotions[].​bonus[].​image_urlstring

奖励商品图片URL。不适用于physical_good奖励品类型。

promotions[].​bonus[].​namestring

奖励品名称。不适用于physical_good奖励品类型。

promotions[].​bonus[].​quantityinteger
promotions[].​bonus[].​skustring
promotions[].​bonus[].​typestring

奖励品类型。

枚举"virtual_good""virtual_currency""bundle""physical_good""game_key""nft"
promotions[].​date_endstring or null(date-time)
promotions[].​date_startstring or null(date-time)
promotions[].​discountobject or null
promotions[].​discount.​percentstring or null
promotions[].​discount.​valuestring or null
promotions[].​limitsobject
promotions[].​limits.​per_userobject
promotions[].​limits.​per_user.​availableinteger
promotions[].​limits.​per_user.​totalinteger
promotions[].​namestring
skustring

唯一商品ID。 SKU只能包含大小写英文字母和数字字符、句点、破折号和下划线。

示例: "electric_shield"
typestring

商品类型:virtual_good/virtual_currency/bundle/game_key/physical_good

枚举"virtual_good""virtual_currency""bundle""game_key""physical_good"
示例: "virtual_good"
virtual_item_typestring

Type of virtual item.

Possible values:

  • consumable — An item that disappears from the inventory after use (e.g., ammo).
  • non_consumable — An item that stays in the inventory for an unlimited period of time.
  • non_renewing_subscription — Time-limited item that can represent access to services or content for a limited period of time.
枚举"consumable""non_consumable""non_renewing_subscription"
示例: "non-consumable"
virtual_pricesArray of objects

虚拟价格。

virtual_prices[].​amountinteger

折扣后的商品虚拟货币价格。

示例: 10
virtual_prices[].​amount_without_discountinteger

商品价格。

示例: 10
virtual_prices[].​calculated_priceobject
virtual_prices[].​calculated_price.​amountstring
virtual_prices[].​calculated_price.​amount_without_discountstring
virtual_prices[].​descriptionstring or null

虚拟货币说明。

示例: null
virtual_prices[].​image_urlstring

虚拟货币图像。

示例: "https://cdn3.xsolla.com/img/misc/images/e2e9ce8b00eb0190c161c4258b899101.png"
virtual_prices[].​is_defaultboolean

商品价格是否为默认。

示例: true
virtual_prices[].​item_idinteger

创建商品时提供的内部唯一商品ID。

示例: 259774
virtual_prices[].​namestring

虚拟货币名称。

示例: "Gold"
virtual_prices[].​skustring

虚拟货币物品SKU。

示例: "gold"
virtual_prices[].​typestring

虚拟货币类型。

示例: "virtual_currency"
vp_rewardsArray of objects(client-item-value-point-reward)

奖励积分商品奖励。

vp_rewards[].​amountinteger(value-point-amount)

奖励积分的数量。

vp_rewards[].​image_urlstring(Common_admin-image_url)

图像URL。

vp_rewards[].​is_clanboolean(is_clan)

该奖励积分是否用于公会奖励链。

vp_rewards[].​item_idinteger(item_id)

内部唯一物品ID。

vp_rewards[].​namestring(value-point-name)

奖励积分名称。

vp_rewards[].​skustring(value-point-sku)

唯一奖励积分ID。

响应
application/json
{ "attributes": [], "can_be_bought": true, "custom_attributes": { "attr": "value", "purchased": 0 }, "description": "Electric shield", "groups": [ {} ], "image_url": "https://cdn3.xsolla.com/img/misc/images/d2d6b1b517e6a7f3765c3bb5a3cfb87d.png", "is_free": false, "item_id": 259774, "limits": { "per_user": {} }, "name": "Electric shield", "price": { "amount": "9.99", "amount_without_discount": "9.99", "currency": "USD" }, "promotions": [ {} ], "sku": "com.xsolla.electric_shield_1", "type": "virtual_good", "virtual_item_type": "non_consumable", "virtual_prices": [ {}, {}, {} ], "vp_rewards": [ {}, {} ] }
操作
操作
操作
操作